Bug 1011747 - do_IRQ: 5.193 No irq handler for vector (irq -1) [NEEDINFO]
do_IRQ: 5.193 No irq handler for vector (irq -1)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 00:09 EDT by Guillermo
Modified: 2014-03-10 10:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:43:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Guillermo 2013-09-25 00:09:04 EDT
Description of problem: 
When pressing the Fn+F2 (brightness down) or Fn+F3 (brigntess up) or Fn+F4 (switch display output), the computer seems to hibernate. 
When using  input/event3 to see the keycodes, it says "no scan code received" and besides this shows up: 
Message from syslogd@'ommitedhostname' at Sep 24 20:05:58 ...
 kernel:[ 8436.573582] do_IRQ: 5.193 No irq handler for vector (irq -1)

Before the current kernel version, this didn't happen.
Although I had to manually enter the functions of those keys in /usr/lib/udev/rules.d/95-keymap.rules as indicated in the documentation.


Version-Release number of selected component (if applicable):
Kernel:  3.11.1-200.fc19.x86_64


How reproducible: Always / Easy / Every time I press the mentioned buttons


Steps to Reproduce:
1.press Fn+ F2 or Fn+F3 or Fn+F4
2.Wait a couple of seconds
3.Computer hibernates

Actual results: Computer hibernates


Expected results:
 Fn+F2  bright down
 Fn+F3 bright up
 Fn+F4  switch display output


Additional info:
I am not sure if this is related, but before this kernel version, I sent the scan codes and functions to linux-hotplug@vger.kernel.org, and now this happens.

System is 
cat /sys/class/dmi/id/sys_vendor         TOSHIBA
cat /sys/class/dmi/id/product_name     Satellite P75-A

I don't know if it matters, but I have to boot using grub commands:
acpi_osi=Linux acpi_backlight=vendor, if not, the screen stays black.
Comment 1 Guillermo 2013-09-25 00:14:07 EDT
After a closer look: 
Fn+F2: Sleep computer
Fn+F3: Sleep computer
Fn+F4: Hibernates computer
Comment 2 Justin M. Forbes 2014-01-03 17:10:46 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 3 Justin M. Forbes 2014-03-10 10:43:45 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.